BiblioteQ: biblioteq_magazine Class Reference

BiblioteQ

Signals | Public Member Functions | Protected Types | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
biblioteq_magazine Class Reference
Inheritance diagram for biblioteq_magazine:
[legend]
Collaboration diagram for biblioteq_magazine:
[legend]

## Signals

void | sruQueryError (const QString &text)

## Public Member Functions

| biblioteq_magazine (biblioteq *parentArg, const QString &oidArg, const int rowArg, const QString &subTypeArg)
Ui_magDialog | dialog (void) const
void | duplicate (const QString &p_oid, const int state)
void | insert (void)
void | modify (const int)
void | populateDisplayAfterSRU (const QByteArray &data)
void | populateDisplayAfterZ3950 (const QStringList &list, const QString &recordSyntax)
void | setPublicationDateFormat (const QString &dateFormat)
void | search (const QString &field="", const QString &value="")
void | updateWindow (const int state)
Public Member Functions inherited from biblioteq_item
| biblioteq_item (const int rowArg)
QString | getID (void) const
int | getOldQ (void) const
int | getRow (void) const
void | setOldQ (const int q)
void | updateQuantity (const int q)
void | updateRow (const int rowArg)

## Protected Types

enum | Columns { COMPRESSED_SIZE = 2, DESCRIPTION = 3, DIGEST = 1, FILE = 0, MYOID = 4 }

## Protected Slots

void | setGlobalFonts (const QFont &font)
void | slotAttachFiles (void)
void | slotCancel (void)
void | slotDeleteFiles (void)
void | slotExportFiles (void)
void | slotFilesDoubleClicked (QTableWidgetItem *item)
void | slotGo (void)
void | slotParseMarcTags (void)
void | slotPopulateCopiesEditor (void)
void | slotPrint (void)
void | slotProxyAuthenticationRequired (const QNetworkProxy &proxy, QAuthenticator *authenticator)
void | slotPublicationDateEnabled (bool state)
void | slotReset (void)
void | slotSRUCanceled (void)
void | slotSRUDownloadFinished (bool error)
void | slotSRUDownloadFinished (void)
void | slotSRUError (QNetworkReply::NetworkError error)
void | slotSRUQuery (void)
void | slotSRUQueryError (const QString &text)
void | slotSRUReadyRead (void)
void | slotSRUSslErrors (const QList< QSslError > &list)
void | slotSelectImage (void)
void | slotShowPDF (void)
void | slotShowUsers (void)
void | slotZ3950Query (void)
void | sruDownloadFinished (void)

## Protected Member Functions

void | changeEvent (QEvent *event)
void | closeEvent (QCloseEvent *event)
void | createFile (const QByteArray &digest, const QByteArray &bytes, const QString &fileName) const
void | createSRUDialog (void)
void | populateFiles (void)
Protected Member Functions inherited from biblioteq_item
bool | hasDataChanged (QMainWindow *window) const
void | print (QWidget *parent)
void | setQMain (QMainWindow *window)
void | setReadOnlyFields (QMainWindow *window, const bool state)
void | storeData (QMainWindow *window)
void | updateFont (const QFont &font, QWidget *window)

## Protected Attributes

QByteArray | m_sruResults
QDialog * | m_proxyDialog
QNetworkAccessManager * | m_sruManager
QPalette | m_cb_orig_pal
QPalette | m_te_orig_pal
QPalette | m_white_pal
QPointer< biblioteq_generic_thread > | m_thread
QPointer< biblioteq_item_working_dialog > | m_sruWorking
QString | m_dt_orig_ss
QString | m_engWindowTitle
QString | m_subType
Ui_magDialog | ma
Ui_passwordDialog | ui_p
bool | m_duplicate
Protected Attributes inherited from biblioteq_item
QMainWindow * | m_parentWid
QMap< QString, QImage > | m_imageValues
QMap< QString, QString > | m_widgetValues
QString | m_html
QString | m_oid
biblioteq * | qmain
bool | m_isQueryEnabled
int | m_oldq
int | m_row

The documentation for this class was generated from the following files:

- Source/biblioteq_magazine.h
- Source/biblioteq_magazine.cc